package javax.management.timer;

import javax.management.Notification;

public class TimerNotification extends Notification
{
    private static final long serialVersionUID = 1798492029603825750L;
    private Integer notificationID;
    
    public TimerNotification(String type, Object source, long sequenceNumber, long timeStamp, String message, Integer notificationID) {
        super(type, source, sequenceNumber, timeStamp, message);
        this.notificationID = notificationID;
    }
    
    public Integer getNotificationID() {
        return this.notificationID;
    }
    
    Object cloneTimerNotification() {
        TimerNotification timerNotification = new TimerNotification(this.getType(), this.getSource(), this.getSequenceNumber(), this.getTimeStamp(), this.getMessage(), this.notificationID);
        timerNotification.setUserData(this.getUserData());
        return timerNotification;
    }
}
